#include <iostream>
#include <cstdio>

int main() {
	std::ios_base::sync_with_stdio(false);

	int N;
	std::cin >> N;

	int* A = new int[N];
	double* P = new double[N];

	for (int i = 0; i < N; ++i) {
		std::cin >> A[i] >> P[i];
	}
	
	double n_max = 0;

	for (int i = 0; i < N; ++i) { //iter over P
		double n_total = 0;

		for (int j = 0; j < N; ++j) { //iter over A
			if (P[i] <= P[j]) {
				n_total += A[j];
			}
		}

		//std::cout << n_total << " " << (P[i] / 100) << " " << n_total * (P[i] / 100) << "\n";

		n_total *= (P[i] / 100);

		//std::cout << n_total;
		if (n_total > n_max) n_max = n_total;
 	}

	printf("%lf", n_max);

	return 0;
}